# class toListView

The TOra implementation of a listview which offers a few extra goodies to the baseclass. More...

Definition | `#include <toresultview.h>`
Inherits | QListView (qt) [public ], toEditWidget [public ]
Inherited by | resultCols, toResultConstraint, toResultDepend, toResultIndexes, toResultLong, toResultPlan, toResultReferences, toResultStats, toResultView
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- toListView (QWidget *parent,const char *name=NULL,WFlags f=0)
- virtual ~toListView ()
- virtual QString sqlName (void)
- virtual void setSQLName (const QString &name)
- QString menuText (void)
- virtual void editPrint (void)
- virtual void focusInEvent (QFocusEvent *e)
- virtual QString middleString ()
- virtual void addMenues (QPopupMenu *menu)
- virtual bool editSave (bool ask)
- virtual void editSelectAll (void)
- virtual void searchTop (void)
- virtual bool searchNext (toSearchReplace *search)
- virtual bool searchCanReplace (bool all)
- virtual void exportData (std::map<QCString,QString> &data,const QCString &prefix)
- virtual void importData (std::map<QCString,QString> &data,const QCString &prefix)
- virtual toListView * copyTransposed (void)

#### Public Slots

- virtual void setDisplayMenu (QPopupMenu *item)
- virtual void displayMenu (QListViewItem *item,const QPoint &pnt,int col)
- virtual void displayMemo (void)

#### Signals

- void displayMenu (QPopupMenu *menu)

#### Protected Slots

- virtual void menuCallback (int id)

## Detailed Description

The TOra implementation of a listview which offers a few extra goodies to the baseclass. First of all tooltip which can display contents that doesn't fit in the list, printing, integration into toMain with Edit menu etc, drag & drop, export as file, display item as memo and context menu.

toListView (QWidget *parent,const char *name=NULL,WFlags f=0)

### toListView

Create new list view.

Parameters:

parent | Parent of list.
name | Name of list.
f | Widget flags.

~toListView ()

### ~toListView

[virtual]

QString sqlName (void)

### sqlName

[virtual]

Get SQL name of list.

void setSQLName (const QString &name)

### setSQLName

[virtual]

Set SQL name of list.

QString menuText (void)

### menuText

Get the whole text for the item and column selected when menu was poped up.

void editPrint (void)

### editPrint

[virtual]

Print this list

Reimplemented from toEditWidget.

void focusInEvent (QFocusEvent *e)

### focusInEvent

[virtual]

Reimplemented for internal reasons.

QString middleString ()

### middleString

[virtual]

The string to be displayed in the middle of the footer when printing.

Returns: String to be placed in middle.

void addMenues (QPopupMenu *menu)

### addMenues

[virtual]

Adds option to add menues to the popup menu before it is displayed.

Parameters:

menu | Menu to add entries to.

bool editSave (bool ask)

### editSave

[virtual]

Export list as file.

Reimplemented from toEditWidget.

void editSelectAll (void)

### editSelectAll

[virtual]

Select all contents.

Reimplemented from toEditWidget.

void searchTop (void)

### searchTop

[virtual]

Move to top of data

Reimplemented from toEditWidget.

bool searchNext (toSearchReplace *search)

### searchNext

[virtual]

Search for next entry

Returns: True if found, should select the found text.

Reimplemented from toEditWidget.

bool searchCanReplace (bool all)

### searchCanReplace

[virtual]

Check if data can be modified by search

Parameters:

all | If true can replace all, otherwise can replace right now.

Reimplemented from toEditWidget.

void exportData (std::map<QCString,QString> &data,const QCString &prefix)

### exportData

[virtual]

Export data to a map.

Parameters:

data | A map that can be used to recreate the data of a chart.
prefix | Prefix to add to the map.

void importData (std::map<QCString,QString> &data,const QCString &prefix)

### importData

[virtual]

Import data

Parameters:

data | Data to read from a map.
prefix | Prefix to read data from.

toListView * copyTransposed (void)

### copyTransposed

[virtual]

Create transposed copy of list

Returns: Pointer to newly allocated transposed listview.

void displayMenu (QPopupMenu *menu)

### displayMenu

[signal]

Called before the menu is displayed so that you can add items to it before it is shown.

Parameters:

menu | Pointer to the menu about to be shown.

void setDisplayMenu (QPopupMenu *item)

### setDisplayMenu

[virtual slot]

set the popup menu --> see displayMenu()

Parameters:

item | Item to display.

void displayMenu (QListViewItem *item,const QPoint &pnt,int col)

### displayMenu

[virtual slot]

Display the menu at the given point and column.

Parameters:

item | Item to display.
pnt | Point to display menu at.
col | Column to display menu for.

void displayMemo (void)

### displayMemo

[virtual slot]

Display memo of selected menu column

void menuCallback (int id)

### menuCallback

[protected slots virtual slot]

Callback when menu is selected. If you override this make sure you call the parents function when you have parsed your entries.

Parameters:

id | ID of the menu item selected.

Generated by: nneul on skyhawk on Wed Feb 23 19:49:58 2005, using kdoc 2.0a54.